# 7.3.0

The 7.3 release includes rendering performance improvements with many layers, performance improvements when snapping during editing, and a handful of useful fixes.  See the detailed list of changes below.  Nothing special should be required when upgrading from the 7.2 release.  Thanks to those who contributed!

#### List of all changes

See below for a complete list of features and fixes.

 * issue-14510 use correct GeoTIFF value for image height in getResolutions (by @spoyd in https://github.com/openlayers/openlayers/pull/14511)
 * View / safeguard against negative hint values to avoid unexpected behaviour (by @jahow in https://github.com/openlayers/openlayers/pull/14545)
 * Fix a padding setter bug of ol.View when using useGeographic() (by @kikuchan in https://github.com/openlayers/openlayers/pull/14531)
 * [github workflow] clean up artifacts after depoyment (by @tyrasd in https://github.com/openlayers/openlayers/pull/14533)
 * Update ESRI World Basemap url in examples (by @mike-000 in https://github.com/openlayers/openlayers/pull/14524)
 * Improve the performance of remove Snap interaction (by @XingGuoZ in https://github.com/openlayers/openlayers/pull/14516)
 * Fix geolocation event types (by @ahocevar in https://github.com/openlayers/openlayers/pull/14503)
 * Use event.key instead of event.charCode (by @WebKieth in https://github.com/openlayers/openlayers/pull/14492)
 * New isVisible() and getAttributions() methods on Layer (by @ahocevar in https://github.com/openlayers/openlayers/pull/14476)
 * Use multisurface and multicurve for GML 3.2 and WFS 2.0 (by @ahocevar in https://github.com/openlayers/openlayers/pull/14471)
 * Use fetch instead of jsonp for getting Bing metadata (by @ahocevar in https://github.com/openlayers/openlayers/pull/14464)
 * Fix cloning of Icons with width/height (by @marcjansen in https://github.com/openlayers/openlayers/pull/14457)
 * Add more browsers that support OffscreenCanvas (by @ahocevar in https://github.com/openlayers/openlayers/pull/14448)
 * Use PointerEvent constructor, no need to support IE any more (by @ahocevar in https://github.com/openlayers/openlayers/pull/14438)
 * Store images as canvas for more efficient reuse (by @ahocevar in https://github.com/openlayers/openlayers/pull/14444)
 * Fix for issue  #14389 (by @ghschier in https://github.com/openlayers/openlayers/pull/14430)
 * Add repeat property for text along lines (by @ahocevar in https://github.com/openlayers/openlayers/pull/14400)
 * Add .babelrc and .prettierrc to CodeSandbox export (by @mike-000 in https://github.com/openlayers/openlayers/pull/14419)
 * Ensure gl context is cleared in `ol/source/Raster` (by @mike-000 in https://github.com/openlayers/openlayers/pull/14414)
 * Add rendering test for the full build (by @ahocevar in https://github.com/openlayers/openlayers/pull/14405)
 * Release v7.2.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14404)


<details>
  <summary>Dependency Updates</summary>

 * Bump dns-packet from 5.3.1 to 5.4.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14547)
 * Bump ol-mapbox-style from 9.6.0 to 9.7.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14539)
 * Bump yargs from 17.7.0 to 17.7.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14538)
 * Bump puppeteer from 19.7.1 to 19.7.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14537)
 * Bump @metalsmith/markdown from 1.9.0 to 1.9.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14536)
 * Bump eslint from 8.34.0 to 8.35.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14535)
 * Bump puppeteer from 19.7.0 to 19.7.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14522)
 * Bump ol-mapbox-style from 9.5.0 to 9.6.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14523)
 * Bump jsdoc-plugin-typescript from 2.2.0 to 2.2.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14521)
 * Bump jsdoc from 4.0.0 to 4.0.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14520)
 * Bump yargs from 17.6.2 to 17.7.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14519)
 * Bump pngjs from 6.0.0 to 7.0.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14518)
 * Bump puppeteer from 19.6.3 to 19.7.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14504)
 * Bump eslint from 8.33.0 to 8.34.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14505)
 * Bump @metalsmith/in-place from 4.5.0 to 4.6.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14486)
 * Bump typescript from 4.9.4 to 4.9.5 (by @openlayers in https://github.com/openlayers/openlayers/pull/14487)
 * Bump puppeteer from 19.6.2 to 19.6.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/14488)
 * Bump @metalsmith/markdown from 1.8.0 to 1.9.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14489)
 * Bump ua-parser-js from 0.7.31 to 0.7.33 (by @openlayers in https://github.com/openlayers/openlayers/pull/14461)
 * Bump ol-mapbox-style from 9.4.0 to 9.5.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14468)
 * Bump eslint from 8.32.0 to 8.33.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14469)
 * Bump puppeteer from 19.5.2 to 19.6.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14470)
 * Bump @rollup/plugin-commonjs from 24.0.0 to 24.0.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14452)
 * Bump @octokit/rest from 19.0.5 to 19.0.7 (by @openlayers in https://github.com/openlayers/openlayers/pull/14451)
 * Bump clean-css-cli from 5.6.1 to 5.6.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14450)
 * Bump proj4 from 2.8.0 to 2.8.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14440)
 * Bump marked from 4.2.5 to 4.2.12 (by @openlayers in https://github.com/openlayers/openlayers/pull/14439)
 * Bump eslint from 8.31.0 to 8.32.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14441)
 * Bump puppeteer from 19.4.1 to 19.5.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14442)
 * Bump ol-mapbox-style from 9.3.0 to 9.4.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14429)
 * Bump json5 from 1.0.1 to 1.0.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14428)
 * Bump marked from 4.2.4 to 4.2.5 (by @openlayers in https://github.com/openlayers/openlayers/pull/14413)
 * Bump ol-mapbox-style from 9.2.4 to 9.3.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14412)
 * Bump jquery from 3.6.2 to 3.6.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/14411)
 * Bump eslint from 8.30.0 to 8.31.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14424)


</details>
